package model

const (
	VendorOrgTypePlatform = "platform" //外卖平台
	VendorOrgTypeDelivery = "delivery" //配送平台
)

type VendorOrgCode struct {
	ModelIDCULD

	VendorID      int    `orm:"column(vendor_id)" json:"code"`
	VendorOrgCode string `orm:"size(32)" json:"key"` // 同一平台下不同的商户代码，如果只有一个，可以为空
	Comment       string `json:"name"`               //备注
	//appkey，secret token等

	VendorType     string `json:"vendorType"`                           //platform 普通平台， delivery 三方配送平台
	IsJxCat        int    `json:"isJxCat"`                              //是否使用京西分类，0默认使用
	IsOpen         int    `json:"isOpen"`                               //主要三方配送用，是否配送，默认0表示打开，1表示关
	EmpowerURL     string `orm:"column(empower_url)" json:"empowerURL"` //授权地址
	StoreBrandName string `json:"storeBrandName"`                       //建店品牌名（和饿百供应商不同，美团是根据平台账号划分）
	Token          string `json:"token"`
	AppKey         string `json:"appKey"`
	AppSecret      string `json:"appSecret"`
}

type MtJdCategoryMap struct {
	ID int `orm:"column(id)" json:"id"`

	MtID string `orm:"column(mt_id)" json:"mtID"`
	JdID string `orm:"column(jd_id)" json:"jdID"`
}

func (*MtJdCategoryMap) TableIndex() [][]string {
	return [][]string{
		[]string{"MtID", "JdID"},
	}
}
